package com.zcloud.zcGbsServicer.api;

import com.zcloud.zcGbsServicer.dto.ControlRoomAddCmd;
import com.zcloud.zcGbsServicer.dto.ControlRoomPageQry;
import com.zcloud.zcGbsServicer.dto.ControlRoomScreenQry;
import com.zcloud.zcGbsServicer.dto.ControlRoomUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.ControlRoomCO;
import com.zcloud.zcGbsServicer.dto.clientobject.ControlRoomScreenCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
* web-client
* @Author makejava
* @Date 2026-01-21 17:21:51
*/
public interface ControlRoomServiceI {
    PageResponse<ControlRoomCO> listPage(ControlRoomPageQry qry);

    PageResponse<ControlRoomScreenCO> listScreen(ControlRoomScreenQry qry);

    ControlRoomCO getInfoById(Long id);

    SingleResponse<ControlRoomCO> add(ControlRoomAddCmd cmd);

    void edit(ControlRoomUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

